# router ndp proxy

An NDP proxy publishes a internal IPv6 address to public network. With the NDP proxy, the IPv6 address can be accessed from external. It is similar to Floating IP of IPv4 in functionality.

Network v2

## router ndp proxy create

Create NDP proxy

    openstack router ndp proxy create
        [--name <name>]
        --port <port>
        [--ip-address <ip-address>]
        [--description <description>]
        <router>

--name <name>

  New NDP proxy name

--port <port>

  The name or ID of the network port associated to the NDP proxy

--ip-address <ip-address>

  The IPv6 address that is to be proxied. In case the port has multiple addresses assigned, use this option to select which address is to be used.

--description <description>

  Text to describe/contextualize the use of the NDP proxy configuration

router

  The name or ID of a router

## router ndp proxy delete

Delete NDP proxy

    openstack router ndp proxy delete <ndp-proxy> [<ndp-proxy> ...]

ndp-proxy

  NDP proxy(s) to delete (name or ID)

## router ndp proxy list

List NDP proxies

    openstack router ndp proxy list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--router <router>]
        [--port <port>]
        [--ip-address <ip-address>]
        [--project <project>]
        [--name <name>]
        [--project-domain <project-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--router <router>

  List only NDP proxies associated with the specifed router (name or ID)

--port <port>

  List only NDP proxies associated with the specified port (name or ID)

--ip-address <ip-address>

  List only NDP proxies associated with the specified IPv6 address

--project <project>

  List only NDP proxies with the specified project (name or ID)

--name <name>

  List only NDP proxies with the specified name

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## router ndp proxy set

Set NDP proxy properties

    openstack router ndp proxy set
        [--name <name>]
        [--description <description>]
        <ndp-proxy>

--name <name>

  Set NDP proxy name

--description <description>

  Text to describe/contextualize the use of the NDP proxy configuration

ndp-proxy

  The ID or name of the NDP proxy to update

## router ndp proxy show

Display NDP proxy details

    openstack router ndp proxy show <ndp-proxy>

ndp-proxy

  The ID or name of the NDP proxy

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.